# CodeInterpreter

OpenAI 一直提升在 ChatGPT 中运行代码和使用第三方插件的能力，并于 3 月 25 日推出了 Code Interpreter（代码解释器）。该插件为 ChatGPT 提供了一个在沙盒、防火墙执行环境中工作的 Python 解释器，并提供了一些临时磁盘空间。


## 工作原理

当用户请求该插件运行一个命令时，它会生成唯一的会话 ID 并启动一个新的沙盒环境来执行命令。该环境包含一个 Python 解释器、有限库和一些临时磁盘空间。一旦执行完命令，该插件会分析输出并可以在另一个函数中使用。这意味着用户可以将不同的函数串在一起来完成更复杂的任务，所有一切都在 ChatGPT 界面内。

Code Interpreter 可以生成和运行代码、上传和下载从 CSV 数据到图像的各种文件，并在 ChatGPT 界面中评估输出。对于想要扩展 ChatGPT 功能并创建自定义插件来满足自身需求的开发人员来说，它无疑是一个强大工具。

